# Class CIPData

java.lang.Object
org.jmol.symmetry.CIPData

Direct Known Subclasses:
  `CIPDataSmiles, CIPDataTracker`

public class CIPData extends Object
A helper class to handle application-specific analysis and store information needed by CIPChirality and CIPDataSmiles. Subclassed as CIPDataSmiles to also allow Jmol's "...SMILES...".find("SMILES","chirality")

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`testRule6Full`
A flag that, if set, returns rr for bicyclo[2.2.2]octane
`protected V3`
`vNorm`
`protected V3`
`vTemp`

## Constructor Summary

Constructors
Constructor
Description
`CIPData()`

## Method Summary

Modifier and Type
Method
Description
`protected BS[]`
`getList(String smarts)`
Retrieve an array of bit sets that match a given SMARTS
`protected void`
`init()`
initializer -- called also by CIPDataSmiles
`protected boolean`
`isTracker()`
Subclass identifier
`protected BS`
`match(String smarts)`
Return a bit set corresponding to a SMARTS
`CIPData`
`set(Viewer vwr, BS bsAtoms)`
Actual constructor.
`void`
`setRule6Full(boolean rrrr)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### testRule6Full

public boolean testRule6Full
A flag that, if set, returns rr for bicyclo[2.2.2]octane

### vNorm

protected V3 vNorm

### vTemp

protected V3 vTemp

## Constructor Details

### CIPData

public CIPData()

## Method Details

### isTracker

protected boolean isTracker()
Subclass identifier

Returns:
  true for CIPDataTracker

### set

public CIPData set(Viewer vwr, BS bsAtoms)
Actual constructor.

Parameters:
  `vwr` - Jmol viewer
  `bsAtoms` - selected atoms
Returns:
  this

### init

protected void init()
initializer -- called also by CIPDataSmiles

### getList

protected BS[] getList(String smarts) throws Exception
Retrieve an array of bit sets that match a given SMARTS

Parameters:
  `smarts` -
Returns:
  array of matching bit sets
Throws:
  `Exception`

### match

protected BS match(String smarts) throws Exception
Return a bit set corresponding to a SMARTS

Parameters:
  `smarts` -
Returns:
  bit set matching this SMARTS
Throws:
  `Exception`

### setRule6Full

public void setRule6Full(boolean rrrr)